component: TeleopShieldDiag
namespace: zoox::teleop
faults:
  - id: 1
    name: bad_signature
    severity: WARNING
    description: "Guidance from the remote operator was rejected because the signature was bad (possibly they did not have authority)."
  - id: 2
    name: guidance_rejected
    severity: WARNING
    description: "Guidance from the remote operator was rejected because it was out of specification."
  - id: 3
    name: guidance_timeout
    severity: WARNING
    description: "Guidance from the remote operator was rejected because it had a bad timestamp."
  - id: 4
    name: multiple_messages
    severity: WARNING
    description: "Multiple guidance requests arrived in the same tick and were therefore discarded."
